Bug 113981 - Adding a table row and/or resizing a table column height/width for a large table is noticeably slower compared to LibO 5.0
Summary: Adding a table row and/or resizing a table column height/width for a large ta...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, perf, regression
Depends on:
Blocks: Writer-Tables Cell-Add-Delete
  Show dependency treegraph
 
Reported: 2017-11-21 19:43 UTC by Telesto
Modified: 2019-02-23 03:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (5.56 KB, text/plain)
2017-11-21 19:44 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-11-21 19:43:12 UTC
Description:
Adding a table row and/or resizing a table column height/width for a large table is noticeably slower compared to LibO 5.0

Steps to Reproduce:
1. Open Writer
2. Add a table 40x600
3. Add a row (slow) (and a CPU hogging)
4. Delete a row (fast)

Actual Results:  
Adding/ resizing a a row is pretty slow

Expected Results:
Should be fast 


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: b3f1d199a72ce87cb65ddaeac922564f57da6a4d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-06_00:10:53
Locale: nl-NL (nl_NL); Calc: CL

and in 
5.2


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-11-21 19:44:36 UTC
Created attachment 137899 [details]
Bibisect log

Bibisected to the following range:
ef8163604f7946ba35b5d133cf6e7a41c750a112 is the first bad commit
commit ef8163604f7946ba35b5d133cf6e7a41c750a112
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Nov 12 21:07:25 2015 -0800

    source sha:f02ae7a1bba0a061b8d6d0fef1155bdd9feb16e3

    source sha:f02ae7a1bba0a061b8d6d0fef1155bdd9feb16e3
    source sha:d01a81338abe84491684b9f3925ba98c43163fe7
    source sha:e08fbe4c592b25fb88828157ff054431ac8e2d8b
    source sha:2d0341a23f95e322990006d78d3f514a9448ed84
    source sha:e660a0515889ce42e95c57af8c3815a1afc2f1dc
    source sha:2d30f347ccdc4539a695f04d91a3706d02a857e1
    source sha:e9fcefe4640dfa0895dca703a37f27ea5b2e893c
    source sha:14e409188b2068e04c63201803039b250113ae37
    source sha:ce6eed613cb2bd79a66cf9c10e3370fcb4949c6d
    source sha:9f90d987901f9f69e78370705a7f000f5d7d4902
    source sha:2dbe457fbcd99ea09e5a97b39e216e575c260cbe
    source sha:a201f0cc675ea5b5b1ef71d6cef7ea7ef4e74923
    source sha:8557a8a74dc692ef7ec83d95413ddc3186aa0695
    source sha:d7627da5c9b0b351e8150b08febf64273ba0231e
    source sha:c4ef30ea916752ba5a057b49960a60a55f70c84c
    source sha:bb34de0189a7c2ac81c08f3a283a71c2e67093d3
    source sha:11fc639c0897a192f1da0c69d1f7ab683ff1208e
    source sha:52e08f200e5ed525cb1ff92a13ab85d36cd7459f
    source sha:fd8c98861c94dfa572253b53809c49bbd975dfc0
    source sha:d6c82fe72787702c9c90ff890b86519604a4273c
    source sha:e7ab3554f53df02088451361a154e4574494a8f7
    source sha:8bae6345bff0508f5f01e0061d7b576f36e6961d
    source sha:54c679af63b87dd83b6da07201b68728bded4ba9
    source sha:0c7913de2f0b91de623838dfd4013c5e92bad6d8
    source sha:4bdf05b28d6584a1986ac7e5855d0260ff62930d
    source sha:32686b0d0a15a653f831d0645e5b7c1145860570
    source sha:c65e00d908a2dcf47d3ff925d09e336d9b0939f7
    source sha:899453aa8407fca8a93d51f12ad4e335d1beeb62
    source sha:6128c10f550924c2b75f18b6c6220cc1770adba4
    source sha:2b4d7be9484d360d8361dd71d767afbcc67fdcb2
    source sha:a133053f94f7c5b05f4354bb4977c2250b470a8a
    source sha:737555eb2ff5f4f90b9794784e1ac8f0451b9b97
    source sha:5c142dd31de4a6d1c6ce9885ad06d84aca492152
    source sha:266abd09fd2d449351e356bc48f65c725b121247
    source sha:b92174e4c723bacfcfc245a483365cc7fb5d72c1
    source sha:c504477e7c3c7109fc4439988d8f3eb11a267c74
    source sha:44daaebf835bb60fb7e442e928cd30191f15af52
    source sha:a7816853bad55ada597092c16ba9a0a761e067d0
    source sha:14c2b509928b7c7a437464c10bd0f57ff307ad54
    source sha:fa91dd31f39a24329d288d4e1cda28db3a16af0d
    source sha:c21ddcdb30b8dd7be56176e00bc2d4780cb342e1
    source sha:a31b4f4c6eaa7a2e5e5986a4dee5acbd94ada8d1
    source sha:3503873c7b54c013e7cfe8f73ce8485862348592
    source sha:1bea36ddadae18a66d2e6043681b5b6fa37e4da1
    source sha:12bf19b8e6cff6309f70675ebaaeb7b356b1967b
    source sha:2ff2fafff8fe455a2493d04e7da709588a691ddd
    source sha:0521461eee932eefbd69fcd39407f181bc2213dd
    source sha:8978ce53e16de9a597015b0704f813dffa7da920
    source sha:44d3577f4b5ec181219268826d2ec504e61541f3

:040000 040000 1ce755f5622de2e074a52f040a4cbce581150fae 09ea88eeec0c2980170abeadabf9920e658174ab M      instdir
Comment 2 Buovjaga 2017-11-23 17:46:31 UTC
Does this depend on automatic spell checking being enabled? If yes, this is bug 108353
Comment 3 Telesto 2017-11-23 23:28:20 UTC
(In reply to Buovjaga from comment #2)
> Does this depend on automatic spell checking being enabled? If yes, this is
> bug 108353

Ah, that was the bug I read about and lost again :-). And NO, I tested this with spell checking disabled. However enabling spell checking will make matters worse.

Bug 108353 could also be related to bug 94184
Comment 4 Kevin Suo 2017-11-27 05:13:49 UTC
I can confirm this performance issue 

Version: 6.1.0.0.alpha0+
Build ID:d8c0051c6c0400aae6e0a440e83c2c29979347f7
CPU 线程:4; 操作系统:Linux 4.13; UI 渲染:默认; VCL: gtk2; 
Locale: zh-CN (zh_CN.UTF-8); Calc: group threaded
Comment 5 QA Administrators 2019-02-23 03:41:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug